Ecosyste.ms: Advisories

An open API service providing security vulnerability metadata for many open source software ecosystems.

Security Advisories: GSA_kwCzR0hTQS1xOXIyLWYzdmMtcmpnOM4AAuAj

Command Injection in macaddress

Withdrawn: Duplicate of GHSA-pp57-mqmh-44h7

Permalink: https://github.com/advisories/GHSA-q9r2-f3vc-rjg8
JSON: https://advisories.ecosyste.ms/api/v1/advisories/GSA_kwCzR0hTQS1xOXIyLWYzdmMtcmpnOM4AAuAj
Source: GitHub Advisory Database
Origin: Unspecified
Severity: High
Classification: General
Published: almost 4 years ago
Updated: over 1 year ago

Widthdrawn: almost 4 years ago

Identifiers: GHSA-q9r2-f3vc-rjg8
References: Blast Radius: 0.0

Affected Packages

npm:macaddress
Dependent packages: 115
Dependent repositories: 190,665
Downloads: 812,312 last month
Affected Version Ranges: < 0.2.9
Fixed in: 0.2.9
All affected versions: 0.2.6, 0.2.7, 0.2.8
All unaffected versions: 0.2.9, 0.3.0, 0.4.0, 0.4.1, 0.4.2, 0.4.3, 0.4.4, 0.5.0, 0.5.1, 0.5.2, 0.5.3